%define version 2.8.6
%define versio_ 2-8-6
#%define subver pre.4
%define rel	1
%define	release	%mkrel %{rel}

Summary:	Text based browser for the world wide web
Name:		lynx
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://lynx.isc.org
Group:		Networking/WWW
BuildRequires:	gettext
BuildRequires:	openssl-devel
BuildRequires:	ncurses-devel
Source0:	http://lynx.isc.org/current/%name%{version}.tar.bz2
Patch0:		lynx2-8-5-adapt-to-modern-file-localizations.patch.bz2
Patch1:		lynx2-8-6-default-config.patch
Patch2:		lynx2-8-6-fix-ugly-color.patch
Patch10:	lynx2-8-6-tmp_dir.patch
Patch11:	lynx2-8-6-don-t-accept-command-line-args-to-telnet.patch
Provides:	webclient lynx-ssl
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel libncursesw-devel
Obsoletes:	lynx-ssl

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

This version includes support for SSL encryption.

WARNING: In some countries, it is illegal to export this package. In some
countries, it may even be illegal to use it.


%prep
%setup  -q -n %{name}%{versio_}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch10 -p1
%patch11 -p1
perl -pi -e 's,^#LOCALE_CHARSET:.*,LOCALE_CHARSET:TRUE,' lynx.cfg

%build

debian_options=`cat << DEBIAN
	--enable-warnings
	--enable-8bit-toupper
	--enable-externs
	--enable-cgi-links
	--enable-persistent-cookies --enable-nls
	--enable-prettysrc --enable-source-cache
	--enable-charset-choice
	--enable-default-colors
	--enable-ipv6
	--enable-nested-tables --enable-read-eta
	--with-zlib
DEBIAN`
# removed --enable-exec-links --enable-exec-scripts,
# it goes together with LOCAL_EXECUTION_LINKS_* in lynx.cfg


redhat_options=`cat << REDHAT
	--with-screen=ncursesw 
	--enable-internal-links
	--enable-libjs
	--enable-scrollbar
	--enable-file-upload
	--enable-locale-charset
	--with-ssl
	--enable-addrlist-page
	--enable-justify-elts
REDHAT`

other_options=`cat << OTHER
	--enable-color-style
	--enable-nsl-fork
OTHER`

# (cf INSTALLATION file for more about the options)
# --with-included-gettext  is the default
# --enable-kbd-layout not useful enough
# --enable-cjk not needed for CJK and may go away in a future release

%configure --libdir=/usr/share/lynx $debian_options $redhat_options $other_options
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std install-help

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cat >$RPM_BUILD_ROOT%{_sysconfdir}/lynx-site.cfg <<EOF
# Place any local lynx configuration options (proxies etc.) here.
EOF

%find_lang lynx

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- lynx < 2.8.5-0.13mdk.dev.12
# handle lynx.cfg move from /etc to /usr/share/lynx
if [ -e %{_sysconfdir}/lynx.cfg.rpmsave ]; then
  echo "migrating saved %{_sysconfdir}/lynx.cfg.rpmsave to %{_datadir}/lynx/lynx.cfg"
  mv -f %{_datadir}/lynx/lynx.cfg %{_datadir}/lynx/lynx.cfg.rpmnew
  mv -f %{_sysconfdir}/lynx.cfg.rpmsave %{_datadir}/lynx/lynx.cfg
fi

%files -f lynx.lang
%defattr(-,root,root)
%doc README
%config(noreplace,missingok) %{_sysconfdir}/lynx-site.cfg
%config(noreplace) %{_sysconfdir}/lynx.cfg
%config(noreplace) %{_sysconfdir}/lynx.lss
%{_mandir}/*/*
%{_bindir}/*
%{_datadir}/lynx_help


%changelog
* Thu Nov 16 2006 Pixel <pixel@mandriva.com> 2.8.6-1mdv2007.0
+ Revision: 84986
- new relase
- adapt to lynx.cfg and lynx.lss now in /etc (they were in /usr/share/lynx)
- adapt to lynx_help now in /usr/share (instead of /usr/share/lynx)
- adapt patches or remove patches applied upstream (patch12 & patch13)

  + Oden Eriksson <oeriksson@mandriva.com>
    - Import lynx



* Mon Sep 25 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.8.5-9mdv2007.0
- rebuild for new ncurses

* Mon Nov 14 2005 Pixel <pixel@mandriva.com> 2.8.5-8mdk
- P13: security fix for CVE-2005-2929 (Vincent Danen)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.8.5-7mdk
- rebuilt against openssl-0.9.8a

* Thu Nov  3 2005 Pixel <pixel@mandriva.com> 2.8.5-6mdk
- fix bug in P12 for CAN-2005-3120 (Stew Benedict)

* Tue Oct 18 2005 Pixel <pixel@mandriva.com> 2.8.5-5mdk
- security update for CAN-2005-3120 (P12) (Stew Benedict)

* Mon Aug 22 2005 Pixel <pixel@mandriva.com> 2.8.5-4mdk
- switch default page to www.mandrivalinux.com (bugzilla #17712)

* Thu Apr 28 2005 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.8.5-3mdk
- fix buildrequires
- %%mkrel

* Wed Apr 27 2005 Pixel <pixel@mandriva.com> 2.8.5-2mdk
- build with --enable-locale-charset and enable LOCALE_CHARSET by default
- build with ncursesw to handle utf8

* Fri Feb 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.8.5-1mdk
- 2.8.5 final:)

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.5-0.15mdk.pre.4
- new release
- rediff patch 1

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.8.5-0.14mdk.dev.12
- rebuild

* Wed Jan 22 2003 Pixel <pixel@mandrakesoft.com> 2.8.5-0.13mdk.dev.12
- cleanup config file location. 
  this implies moving from lynx.cfg from /etc to /usr/share/lynx
  (my nice trigger script should handle it nicely :)
- this fixes up lynx help (bug #523)
- /etc/lynx-site.cfg now works!

* Thu Jan 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.5-0.12mdk.dev.12
- new pre-release
- rediff patch 0
- rebuild for new openssl

* Sun Nov 17 2002 Stefan van der Eijk <stefan@eijk.nu> 2.8.5-0.11mdk.dev.8
- BuildRequires

* Fri Sep 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.5-0.10mdk.dev.8
- Nuke BuildRequires: smtpdaemon

* Fri Aug  9 2002 Pixel <pixel@mandrakesoft.com> 2.8.5-0.9mdk.dev.8
- new pre-release
- make it build
- remove the menu entry (people don't expect such a browser in a menu)
- remove /usr/share/lynx/test/*.html
- freshen patches
- drop patch ipv6-salen (not needed)
- drop patch i18ncfg (not used in mandrake, used to allow lynx.cfg.ja for example)
- add lynx-site.cfg (same as redhat)
- use configure options from both redhat and debian
- fix url

* Thu Apr 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.5-0.8mdk
- new release (dev7)
- fix url

* Fri Feb 22 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.8.5-0.7mdk
- corrected mad BuildRequires

* Sun Jan 27 2002 Stefan van der Eijk <stefan@eijk.nu> 2.8.5-0.6mdk
- BuildRequires

* Tue Jan 22 2002 David BAUDENS <baudens@mandrakesoft.com> 2.8.5-0.5mdk
- Fix menu entry (icon)

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.5-0.4mdk
- dev.3 release
- fix url
- compress small patch for fredl's bot
- provides lynx-ssl as we already obsoletes it

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.8.5-0.3mdk
- Use new icons

* Thu Aug 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.5-0.2mdk
- dev2

* Thu Jul 26 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.5-0.1mdk
- dev1

* Wed Jul 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4-2mdk
- remove epoch as qa requires: not needed for a cooker package that exists
  only a few days

* Wed Jul 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4-1mdk
- final release
- s!Serial!Epoch

* Mon Jul 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4-0.1mdk
- new release (pre5)
- add menu icons
- fix fcrozat changelog

* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4pre.4-1mdk
- new release
- fix buildrequires

* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.4dev.11-9mdk
- Correct icon in menu entry

* Tue Jan 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.8.4dev.11-8mdk
- --with-included-gettext.
- include the locales.

* Sun Jan  7 2001 Pixel <pixel@mandrakesoft.com> 2.8.4dev.11-7mdk
- use --enable-default-colors so that at last it doesn't use black foreground in my
rxvt :)

* Thu Dec 28 2000 Daouda Lo <daouda@mandrakesoft.com> 2.8.4dev.11-6mdk
- remove hardcoded path in menu

* Thu Nov 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.11-5mdk
- fix help location 

* Tue Nov 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.8.4dev.11-4mdk
- Another color fix patch :p.

* Tue Nov 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.8.4dev.11-3mdk
- Install lynx.lss from the samples/ directory (much better color).

* Fri Nov 03 2000 Daouda Lo <daouda@mandrakesoft.com> 2.8.4dev.11-2mdk
- rebuild for gcc-2.96

* Thu Oct 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.11-1mdk
- new release

* Sat Oct 07 2000 David BAUDENS <baudens@mandrakesoft.com> 2.8.4dev.8-4mdk
- Fix menu entry (#736)
- Use %%make macro

* Wed Sep 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.8-3mdk
- really add SSL (ginette sucks)
- buildrequires&obsoletes fixes for ssl support
- more macros
- add a menu entry

* Tue Sep  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.8.4dev.8-2mdk
- add support for SSL

* Fri Aug 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.8-1mdk
- new version

* Thu Aug 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.7-3mdk
- fix config for lord fred^h^h^hrpmlint
- remove useless wmconfig file

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.8.4-2mdk
- automatically added BuildRequires


* Fri Aug 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.7-1mdk
- new release

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.6-2mdk
- BM
- make it short-circuit compliant

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.6-1mdk
- new release

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.5-1mdk
- new release ...
- use new macros
- use spechelper for binaries stripping
- bzip2 doc instead of gzip it

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.4-1mdk
- new release

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.3-1mdk
- new release

* Mon Apr 24 2000 Pixel <pixel@mandrakesoft.com> 2.8.3dev.22-2mdk
- add provides webclient

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 2.8.3dev.22

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- use the new group naming scheme
- use spechelper

* Mon Dec  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Define the TEMPDIR to ~/tmp, create it if is no here or fallback to
  /tmp is he can't.

* Sat Nov  6 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Oct  5 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix wrong helpfile url (#291).

* Tue Sep  7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Fix compliance with FTP RFC (needed for wu-ftpd 2.6.0 and other servers)
- 2.8.3dev.8
- Enable file-upload feature

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.8.3dev.6

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Redefine the temporary dir to /tmp/ (definitively !!!).

* Thu Jul 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 2.8.3dev.4

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.8.3.2 version.
- Updated patch.

* Fri May 21 1999 Bernhard Rosenkränzer <bero@mandrakesoft.com>
- 2.8.2pre5
- remove no-root patch

* Mon May 10 1999 Bernhard Rosenkränzer <bero@mandrakesoft.com>
- 2.8.2pre2
- change group to Applications/Internet (used to be the only app in
  group Networking).
- handle RPM_OPT_FLAGS

* Tue May 04 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add lynx.lss files.

* Thu Apr 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.

* Tue Feb 16 1999 Wojtek ¦lusarczyk <wojtek@shadow.eu.org>
  [2.8.2dev.16-2d]
- build with socks5 support -- if avaiable .. 

* Tue Feb 16 1999 Artur Frysiak <wiget@usa.net>
  [2.8.2dev.16-1d]
- moved help and test files to %{_datadir}/lynx
- added not_for_root patch (this is bugi software, run from root account
  is dangerus)
- changed default color scheme

* Fri Feb 05 1999 Wojtek ¦lusarczyk <wojtek@shadow.eu.org>
  [2.8.2dev15-2d]
- changed group,
- compressed documentation.

* Sun Jan 10 1999 Artur Frysiak <wiget@usa.net>
  [2.8.2dev.12-1d]
- added URL and Group(pl) tags

* Mon Sep 01 1998 Wojtek ¦lusarczyk <wojtek@shadow.eu.org>
  [2.8-5d]
- build against glibc-2.1,
- changed Buildroot to /var/tmp/%%{name}-%%{version}-%%{release}-root,
- changed permission of lynx to 711,
- translation modified for pl.

* Sun Aug 30 1998 Tomasz K³oczko <kloczek@rudy.mif.pg.gda.pl>
  [2.8-5]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- URL in HELPFILE in /etc/lynx.cfh changed to localhost,
- removed INSTALLATION from %doc,
- added %attr and %defattr macros in %files (allow build package from
  non-root account).
